| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
CTHM1176TimeoutHandlingTest Class Reference

Test THM1176 API: Handling timeouts on long acquisitions. More...

Inheritance diagram for CTHM1176TimeoutHandlingTest:
[legend]
Collaboration diagram for CTHM1176TimeoutHandlingTest:
[legend]

## Protected Member Functions
virtual void | SetUp ()

## Static Protected Member Functions
static void | SetUpTestCase ()
static void | TearDownTestCase ()

## Static Protected Attributes
static THM1176_TEST_RESOURCE_MANAGER_CLASS * | pResourceManager = nullptr
static CTHM1176Instrument< THM1176_TEST_INSTRUMENT_CLASS, THM1176_TEST_RESOURCE_MANAGER_CLASS > * | pTHM1176 = nullptr

## Detailed Description

Test THM1176 API: Handling timeouts on long acquisitions.

Definition at line 18 of file CTHM1176TimeoutHandlingTest.cpp.

## Member Function Documentation

## ◆ SetUp()

virtual void CTHM1176TimeoutHandlingTest::SetUp | ( |  | ) |
| inline protected virtual

Definition at line 41 of file CTHM1176TimeoutHandlingTest.cpp.

## ◆ SetUpTestCase()

void CTHM1176TimeoutHandlingTest::SetUpTestCase | ( |  | ) |
| inline static protected

Definition at line 24 of file CTHM1176TimeoutHandlingTest.cpp.

## ◆ TearDownTestCase()

void CTHM1176TimeoutHandlingTest::TearDownTestCase | ( |  | ) |
| inline static protected

Definition at line 33 of file CTHM1176TimeoutHandlingTest.cpp.

## Member Data Documentation

## ◆ pResourceManager

THM1176_TEST_RESOURCE_MANAGER_CLASS * CTHM1176TimeoutHandlingTest::pResourceManager = nullptr
| static protected

Definition at line 21 of file CTHM1176TimeoutHandlingTest.cpp.

## ◆ pTHM1176

CTHM1176Instrument< THM1176_TEST_INSTRUMENT_CLASS, THM1176_TEST_RESOURCE_MANAGER_CLASS > * CTHM1176TimeoutHandlingTest::pTHM1176 = nullptr
| static protected

Definition at line 22 of file CTHM1176TimeoutHandlingTest.cpp.

The documentation for this class was generated from the following file:

- THM1176InstrumentDriver/test/CTHM1176TimeoutHandlingTest.cpp